<script setup>
import { IndexPage } from '@/app/core/pages/crud';
import model from '@/modules/report/models/report';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import RouterLink from '@/app/components/vue/RouterLink.vue';
import Index from '@/app/components/crud/Index.vue';
</script>

<script>
export default {
    data() {
        return new IndexPage({
            context: this,
            title: this.__('Отчёты'),
            model: model,
            http: {
                path: 'report/report',
                query: {
                    'with[0]': 'creator',
                    'with[1]': 'shop',
                },
            },
            actions: ['show', 'update', 'delete', 'restore'],
        });
    },
};
</script>

<template>
    <PageTitle :text="title">
        <RouterLink to="report/report/create" class="btn btn-success">
            {{ __('Создать') }}
        </RouterLink>
    </PageTitle>

    <Index />
</template>
